package com.rf.psychological.utils;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
@ConfigurationProperties(prefix = "scalescoringversion")//接收配置文件中scaleScoringVersion下面的属性
public class ScaleScoringVersion {

    private Map<String,String> versionmap = new HashMap<>();

    public Map<String,String> getVersionmap(){
        return versionmap;
    }

    public void setVersionmap(Map<String,String> versionMap){
        this.versionmap=versionMap;
    }

}
